---
type: API Endpoint
title: "Manifest"
description: "Endpoint returning the manifest of a file, including preview and infoType details."
tags: [api, terrain, endpoints, filesystem]
status: stable
generated: { by: process:okf-migration, at: 2026-07-29T00:00:00Z }
---
File manifest
-------------

__URL Path__: /secured/filesystem/file/manifest

__HTTP Method__: GET

__Error Codes__: ERR_DOES_NOT_EXIST, ERR_NOT_A_FILE, ERR_NOT_READABLE, ERR_NOT_A_USER

__Request Query Parameters__:

* path - Path to a file in iRODSs.

__Response Body__:

    {
        "content-type" : "text/plain",
        "urls" : [],
        "infoType" : "<an info type or empty string>"
    }

The urls field will contain some or none of the following:

* CoGe URLs
* Tree URLS
* anon-files URLs

The URLs are formatted like this:

    {
        "label" : "<LABEL>",
        "url" : "<URL>"
    }

For anonymous URLs, the label will be "anonymous".

For CoGe URLs, the label with start with "gene_".

For tree URLs, the label will usually start with "tree_", but that's not guaranteed (the DE doesn't create the labels).

__Curl Command__:

    curl -H "$AUTH_HEADER" http://127.0.0.1:3000/secured/filesystem/file/manifest?path=/iplant/home/johnw/LICENSE.txt
